-1

My software center on ubuntu 14.04 crashed. Some sources say that i have to do sudo apt-get purge software-center. but, when i run it there is some error, one of them is

E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

So i try to do apt-get -f install. but the result is

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
linux-headers-3.13.0-32 linux-headers-3.13.0-32-generic
linux-image-3.13.0-32-generic linux-image-extra-3.13.0-32-generic
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
hplip-data python-samba
The following packages will be upgraded:
hplip-data python-samba
2 upgraded, 0 newly installed, 0 to remove and 27 not upgraded.
7 not fully installed or removed.
Need to get 0 B/7.274 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 352449 files and directories currently installed.)
Preparing to unpack .../hplip-data_3.14.3-0ubuntu3.4_all.deb ...
Bus error (core dumped)
dpkg: warning: subprocess old pre-removal script returned error exit status 135
dpkg: trying script from the new package instead ...
Bus error (core dumped)
dpkg: error processing archive /var/cache/apt/archives/hplip-data_3.14.3-0ubuntu3.4_all.deb (--unpack):
subprocess new pre-removal script returned error exit status 135
Bus error (core dumped)
dpkg: error while cleaning up:
subprocess installed post-installation script returned error exit status 135
Preparing to unpack .../python-samba_2%3a4.1.6+dfsg-1ubuntu2.14.04.8_amd64.deb ...
Bus error (core dumped)
dpkg: warning: subprocess old pre-removal script returned error exit status 135
dpkg: trying script from the new package instead ...
Bus error (core dumped)
dpkg: error processing archive /var/cache/apt/archives/python-samba_2%3a4.1.6+dfsg-1ubuntu2.14.04.8_amd64.deb (--unpack):
subprocess new pre-removal script returned error exit status 135
Bus error (core dumped)
dpkg: error while cleaning up:
subprocess installed post-installation script returned error exit status 135
Errors were encountered while processing:
/var/cache/apt/archives/hplip-data_3.14.3-0ubuntu3.4_all.deb
/var/cache/apt/archives/python-samba_2%3a4.1.6+dfsg-1ubuntu2.14.04.8_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

So, what i have to do?

  • edit your question and add the output of apt-cache policy hplip-data – A.B. Aug 18 '15 at 6:59
0

Purge the problematic packages:

sudo apt-get purge hplip-data 
sudo apt-get purge python-samba

Also, see everything is ok by:

sudo apt-get install -f
| improve this answer | |
0

Try to check on apt-get using :

sudo apt-get check

It will check for dependencies problems and fixn if your problem persists, try to edit the dpkg status file manually :

sudo gedit /var/lib/dpkg/status (You can use vi or nano if you want to)

Locate the corrupt package, and remove the whole block that concern it and don't forget to save the file.

| improve this answer | |
0

Please try to remove the packages in the archive

sudo rm -r /var/cache/apt/archives/*

Yes, I'm sure. ;)

Now run

sudo apt-get update
sudo apt-get dist-upgrade

And how said, you should remove software-center :\

Please reinstall

sudo apt-get install --reinstall software-center
| improve this answer | |
  • it doesn't work when i try to run dist-upgrade. it returns "Preparing to unpack .../hplip-data_3.14.3-0ubuntu3.4_all.deb ... Bus error (core dumped) dpkg: warning: subprocess old pre-removal script returned error exit status 135 dpkg: trying script from the new package instead ..." – dionajie Aug 17 '15 at 20:17

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.